Bug 1338649 - Calamari API does not allow to edit user details after creating users
Summary: Calamari API does not allow to edit user details after creating users
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: Christina Meno
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917 1412948
TreeView+ depends on / blocked
 
Reported: 2016-05-23 08:10 UTC by rakesh
Modified: 2017-04-04 18:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.The Calamari REST-based API fails to edit user details An attempt to use the Calamari REST-based API to edit user details fails with an error. To change user details, use the `calamari-ctl` command-line utility.
Clone Of:
Environment:
Last Closed: 2017-04-04 18:21:28 UTC


Attachments (Terms of Use)

Description rakesh 2016-05-23 08:10:30 UTC
Description of problem:
I was trying to create and edit couple of user using the following APIs. 

1. api/v2/user 	 
2. api/v2/user/<pk>

the User gets created fine using the 1st API. but when try to edit the user details (using PATCH request or PUT request) like email id. I get the error 403 FORBIDDEN error saying that "permission denied". know that I am logged as admin with admin privileges. There is also a note saying that "Users can only modify their own account (i.e.
the user being modified must be the user associated with the current login session)." 

SO i try to login to the created user and do a GET request with 2nd API. 
and then I GET 403 FORBIDDEN ERROR.

how do i edit user details using the APIs.

Comment 4 rakesh 2016-06-16 12:28:12 UTC
looks good to me.


Note You need to log in before you can comment on or make changes to this bug.